import { Signer, ContractTransaction } from 'ethers';
import { SublimeConfig } from '../types/sublimeConfig';
import { Options as Overrides } from '../types/Types';
export declare class ERC1155 {
    private erc1155TokenContract;
    private signer;
    constructor(signer: Signer, config: SublimeConfig);
    transfer(tokenId: string, to: string, amount: string, options?: Overrides): Promise<ContractTransaction>;
    transferFrom(tokenId: string, from: string, to: string, amount: string, options?: Overrides): Promise<ContractTransaction>;
    balanceOf(tokenId: string, user: string): Promise<string>;
}
