import { TokenManager } from '../tokenManager';
import { Signer } from 'ethers';
import { SublimeConfig } from '../types/sublimeConfig';
import { EmulatedHelper } from './Helper';
import { PooledCreditLineEmulator } from '../emulator/PooledCreditLines';
export declare class EmulatedPooledCreditLines extends EmulatedHelper {
    private subgraphUrl;
    constructor(subgraphUrl: string, priceSubgraphUrl: string, signer: Signer, config: SublimeConfig, tokenManager?: TokenManager);
    getAllPooledCreditLines(count?: number, skip?: number): Promise<PooledCreditLineEmulator[]>;
    private convertToPooledCreditLineStatusEnum;
    private transformToPooledCreditLineEmulator;
}
