export declare function getPooledCreditLineTimeline(url: string, pooledCreditLineId: string, count: number, skip: number): Promise<any[]>;
export declare function getPooledCreditLinesOfLender(url: string, lenderAddress: string, count: number, skip: number): Promise<[any[], any[]]>;
export declare function getPooledCreditLinesForLenderById(url: string, lenderAddress: string, id: string): Promise<[any[], any[]]>;
export declare function getPooledCreditLinesOfBorrower(url: string, borrower: string, count: number, skip: number): Promise<any[]>;
export declare function getPooledCreditLinesOfBorrowerWithState(url: string, borrower: string, count: number, skip: number, status: string[]): Promise<any[]>;
export declare function getPooledCreditLinesOfBorrowerWithNotState(url: string, borrower: string, count: number, skip: number, status: string[]): Promise<any[]>;
export declare function getPooledCreditLinesOfLenderCanLendTo(url: string, lender: string, count: number, skip: number): Promise<any[]>;
export declare function getPooledCreditLineById(url: string, id: number): Promise<any[]>;
export declare function getAllPooledCreditLines(url: string, count: number, skip: number): Promise<any[]>;
export declare function getAllPooledCreditLinesWithState(url: string, count: number, skip: number, status: string[]): Promise<any[]>;
export declare function getAllPooledCreditLinesWithNotState(url: string, count: number, skip: number, status: string[]): Promise<any[]>;
export declare function getLenderPerPool(url: string, id: string): Promise<any[]>;
export declare function getAllPooledCreditLinesForCount(url: string): Promise<any[]>;
export declare function getAllPooledCreditLinesForCountWithState(url: string, status: string[]): Promise<any[]>;
export declare function getAllPooledCreditLinesForCountWithStateNotIn(url: string, status: string[]): Promise<any[]>;
export declare function getAllPooledCreditLinesOfLenderWithState(url: string, lenderAddress: string, status: string[]): Promise<any[]>;
export declare function getAllPooledCreditLinesOfLender(url: string, lenderAddress: string): Promise<any[]>;
export declare function getAllPooledCreditLinesOfLenderWithStateNotIn(url: string, lenderAddress: string, status: string[]): Promise<any[]>;
export declare function getAllPooledCreditLinesOfBorrowerWithState(url: string, borrowerAddress: string, status: string[]): Promise<any[]>;
export declare function getAllPooledCreditLinesOfBorrowerWithStateNotIn(url: string, borrowerAddress: string, status: string[]): Promise<any[]>;
export declare function getAllPooledCreditLinesOfBorrower(url: string, borrowerAddress: string): Promise<any[]>;
export declare function getLendersOfPooledCreditLines(url: string, id: string): Promise<any[]>;
export declare function getPCLandLpTogether(url: string, count: number, skip: number): Promise<any[]>;
export declare function getAllLendersPerPool(url: string, poolIds: string[]): Promise<any[]>;
