import { SavingsAccountCalls } from './SavingsAccount';
import { Signer } from '@ethersproject/abstract-signer';
import { TokenManager } from '../tokenManager';
import { SublimeConfig } from '../types/sublimeConfig';
import { UserMetaData, TwitterDetails } from '../types/Types';
export declare class UserMetaCalls extends SavingsAccountCalls {
    constructor(url: string, signer: Signer, tokenManager: TokenManager, config: SublimeConfig);
    getUserMetadata(user: string): Promise<UserMetaData[]>;
    private transformToUserMetaData;
    private getTwitterDetails;
    private getKycDetails;
    /**
     *
     * @param address Address of the user to fetch
     * @returns
     */
    getVerifiedTwitterId(address: string): Promise<TwitterDetails[]>;
}
