"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Operation = exports.VerifierType = exports.StrategyType = exports.CreditLineStatus = exports.PclUpcomingState = void 0;
__exportStar(require("./overview/CreditLineOverview"), exports);
__exportStar(require("./overview/LenderTotalCredit"), exports);
__exportStar(require("./overview/BorrowerCreditLimit"), exports);
__exportStar(require("./overview/PooledCreditLineOverview"), exports);
__exportStar(require("./overview/InterestDetails"), exports);
__exportStar(require("./emulator"), exports);
var PclUpcomingState;
(function (PclUpcomingState) {
    PclUpcomingState["ABOUT_TO_EXPIRE"] = "PCL is about to cross endsAt time";
    PclUpcomingState["ABOUT_TO_DEFAULT"] = "PCL is about to cross defaultsAt time";
})(PclUpcomingState = exports.PclUpcomingState || (exports.PclUpcomingState = {}));
var CreditLineStatus;
(function (CreditLineStatus) {
    CreditLineStatus["NOT_CREATED"] = "NOT_CREATED";
    CreditLineStatus["REQUESTED"] = "REQUESTED";
    CreditLineStatus["ACTIVE"] = "ACTIVE";
    CreditLineStatus["CLOSED"] = "CLOSED";
    CreditLineStatus["EXPIRED"] = "EXPIRED";
    CreditLineStatus["LIQUIDATED"] = "LIQUIDATED";
    CreditLineStatus["CANCELLED"] = "CANCELLED";
    // intermediate -- from here
    CreditLineStatus["START_CALLABLE"] = "START_CALLABLE";
    CreditLineStatus["LIQUIDATE_CALLABLE"] = "LIQUIDATE_CALLABLE";
    CreditLineStatus["INTERMEDIATE_CANCELLED"] = "INTERMEDIATE_CANCELLED";
    CreditLineStatus["INTERMEDIATE_EXPIRED"] = "INTERMEDIATE_EXPIRED";
    CreditLineStatus["CLOSE_CALLABLE"] = "CLOSE_CALLABLE";
    CreditLineStatus["DEFAULT_LIQUIDATE_CALLABLE"] = "DEFAULT_LIQUIDATE_CALLABLE";
})(CreditLineStatus = exports.CreditLineStatus || (exports.CreditLineStatus = {}));
var StrategyType;
(function (StrategyType) {
    StrategyType["NoYield"] = "NoYield";
    StrategyType["CompoundYield"] = "CompoundYield";
    StrategyType["YearnYield"] = "YearnYield";
    StrategyType["AaveYield"] = "AaveYield";
})(StrategyType = exports.StrategyType || (exports.StrategyType = {}));
var VerifierType;
(function (VerifierType) {
    VerifierType["TwitterVerifier"] = "TwitterVerifier";
    VerifierType["AdminVerifier"] = "AdminVerifier";
    VerifierType["PersonaVerifier"] = "PersonaVerifier";
})(VerifierType = exports.VerifierType || (exports.VerifierType = {}));
var Operation;
(function (Operation) {
    Operation["NOT_CREATED"] = "NOT_CREATED";
    Operation["REQUESTED"] = "REQUESTED";
    Operation["ACTIVE"] = "ACTIVE";
    Operation["DEPOSIT_COLLATERAL"] = "DEPOSIT_COLLATERAL";
    Operation["BORROW"] = "BORROW";
    Operation["REPAY"] = "REPAY";
    Operation["WITHDRAW_COLLATERAL"] = "WITHDRAW_COLLATERAL";
    Operation["CLOSED"] = "CLOSED";
    Operation["CANCELLED"] = "CANCELLED";
    Operation["RESET"] = "RESET";
    Operation["LIQUIDATED"] = "LIQUIDATED";
})(Operation = exports.Operation || (exports.Operation = {}));
//# sourceMappingURL=Types.js.map