import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { AdminVerifier } from '../AdminVerifier';
export declare class AdminVerifier__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_verification: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<AdminVerifier>;
    getDeployTransaction(_verification: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): AdminVerifier;
    connect(signer: Signer): AdminVerifier__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): AdminVerifier;
}
