import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { Beacon } from '../Beacon';
export declare class Beacon__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_owner: string, _impl: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<Beacon>;
    getDeployTransaction(_owner: string, _impl: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): Beacon;
    connect(signer: Signer): Beacon__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): Beacon;
}
