import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { CompoundYield } from '../CompoundYield';
export declare class CompoundYield__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_weth: string, _treasury: string, _savingsAccount: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<CompoundYield>;
    getDeployTransaction(_weth: string, _treasury: string, _savingsAccount: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): CompoundYield;
    connect(signer: Signer): CompoundYield__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): CompoundYield;
}
