import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { ERC1155Upgradeable } from '../ERC1155Upgradeable';
export declare class ERC1155Upgradeable__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ERC1155Upgradeable>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): ERC1155Upgradeable;
    connect(signer: Signer): ERC1155Upgradeable__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): ERC1155Upgradeable;
}
