import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { FluxAggregator } from '../FluxAggregator';
export declare class FluxAggregator__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<FluxAggregator>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): FluxAggregator;
    connect(signer: Signer): FluxAggregator__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): FluxAggregator;
}
