import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { MockCEther } from '../MockCEther';
export declare class MockCEther__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<MockCEther>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): MockCEther;
    connect(signer: Signer): MockCEther__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): MockCEther;
}
