import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { MockVerification2 } from '../MockVerification2';
export declare class MockVerification2__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<MockVerification2>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): MockVerification2;
    connect(signer: Signer): MockVerification2__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): MockVerification2;
}
