import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { MockVerification } from '../MockVerification';
export declare class MockVerification__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<MockVerification>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): MockVerification;
    connect(signer: Signer): MockVerification__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): MockVerification;
}
