import { Signer, ContractFactory, PayableOverrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { MockWETH } from '../MockWETH';
export declare class MockWETH__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<MockWETH>;
    getDeployTransaction(overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): MockWETH;
    connect(signer: Signer): MockWETH__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): MockWETH;
}
