import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { NoYield } from '../NoYield';
export declare class NoYield__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_treasury: string, _savingsAccount: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<NoYield>;
    getDeployTransaction(_treasury: string, _savingsAccount: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): NoYield;
    connect(signer: Signer): NoYield__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): NoYield;
}
