import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { PoolEthUtils } from '../PoolEthUtils';
export declare class PoolEthUtils__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_weth: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<PoolEthUtils>;
    getDeployTransaction(_weth: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): PoolEthUtils;
    connect(signer: Signer): PoolEthUtils__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): PoolEthUtils;
}
