import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { Repayments } from '../Repayments';
export declare class Repayments__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<Repayments>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): Repayments;
    connect(signer: Signer): Repayments__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): Repayments;
}
