import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { SavingsAccount } from '../SavingsAccount';
export declare class SavingsAccount__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_strategyRegistry: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<SavingsAccount>;
    getDeployTransaction(_strategyRegistry: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): SavingsAccount;
    connect(signer: Signer): SavingsAccount__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): SavingsAccount;
}
