import { Signer, BytesLike, ContractFactory, PayableOverrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { SublimeProxy } from '../SublimeProxy';
export declare class SublimeProxy__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(logic: string, admin: string, data: BytesLike, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<SublimeProxy>;
    getDeployTransaction(logic: string, admin: string, data: BytesLike, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): SublimeProxy;
    connect(signer: Signer): SublimeProxy__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): SublimeProxy;
}
