import { ContractTransaction, Signer } from 'ethers';
import { Options as Overrides } from '../../types/Types';
export declare class WrappedEth {
    private signer;
    constructor(signer: Signer);
    convertToWrappedEth(wethContractAddress: string, amount: string, options?: Overrides): Promise<ContractTransaction>;
    convertWethToEth(wethContractAddress: string, amount: string, options?: Overrides): Promise<ContractTransaction>;
}
