"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tokenData = void 0;
exports.tokenData = [
    {
        address: '0xB4FBF271143F4FBf7B91A5ded31805e42b2208d6'.toLowerCase(),
        name: 'Wrapped ETH',
        symbol: 'WETH',
        decimals: 18,
        iconMapping: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2',
    },
    {
        address: '0xc778417e063141139fce010982780140aa0cd5ab'.toLowerCase(),
        name: 'Wrapped ETH',
        symbol: 'WETH',
        decimals: 18,
        iconMapping: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2',
    },
    {
        address: '0xd0a1e359811322d97991e03f863a0c30c2cf029c'.toLowerCase(),
        name: 'Wrapped ETH',
        symbol: 'WETH',
        decimals: 18,
        iconMapping: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2',
    },
    {
        address: '0x0000000000000000000000000000000000000000',
        name: 'ETH',
        symbol: 'ETH',
        decimals: 18,
        iconMapping: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2',
    },
    {
        address: '0x41B5844f4680a8C38fBb695b7F9CFd1F64474a72',
        name: 'Compound ETH',
        symbol: 'cETH',
        decimals: 8,
        iconMapping: '0x4Ddc2D193948926D02f9B1fE9e1daa0718270ED5',
    },
    {
        address: '0xb017a1007D047005ed7F9656160EAE764CcC7528',
        name: 'Compound ETH',
        symbol: 'cETH',
        decimals: 8,
        iconMapping: '0x4Ddc2D193948926D02f9B1fE9e1daa0718270ED5',
    },
    {
        address: '0xd6801a1dffcd0a410336ef88def4320d6df1883e',
        name: 'Compound ETH',
        symbol: 'cETH',
        decimals: 8,
        iconMapping: '0x4Ddc2D193948926D02f9B1fE9e1daa0718270ED5',
    },
    {
        address: '0x0327b4837D59101Cf729a25104d99D9D3B003eF2',
        name: 'DAI',
        symbol: 'DAI',
        decimals: 18,
        iconMapping: '0x6b175474e89094c44da98b954eedeac495271d0f',
    },
    {
        address: '0x4f96fe3b7a6cf9725f59d353f723c1bdb64ca6aa',
        name: 'DAI',
        symbol: 'DAI',
        decimals: 18,
        iconMapping: '0x6b175474e89094c44da98b954eedeac495271d0f',
    },
    {
        address: '0x2899a03ffDab5C90BADc5920b4f53B0884EB13cC',
        name: 'DAI',
        symbol: 'DAI',
        decimals: 18,
        iconMapping: '0x6b175474e89094c44da98b954eedeac495271d0f',
    },
    {
        address: '0xF0d0EB522cfa50B716B3b1604C4F0fA6f04376AD'.toLowerCase(),
        name: 'Compound DAI',
        symbol: 'cDAI',
        decimals: 8,
        iconMapping: '0x5d3a536e4d6dbd6114cc1ead35777bab948e3643'.toLowerCase(),
    },
    {
        address: '0x7079f3762805CFf9C979a5bDC6f5648bCFEE76C8',
        name: 'USD Coin',
        symbol: 'USDC',
        decimals: 6,
        iconMapping: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48',
    },
    {
        address: '0x07865c6E87B9F70255377e024ace6630C1Eaa37F',
        name: 'USD Coin',
        symbol: 'USDC',
        decimals: 6,
        iconMapping: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48',
    },
    {
        address: '0xe22da380ee6B445bb8273C81944ADEB6E8450422',
        name: 'USD Coin',
        symbol: 'USDC',
        decimals: 6,
        iconMapping: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48',
    },
    {
        address: '0x39AA39c021dfbaE8faC545936693aC917d5E7563'.toLowerCase(),
        name: 'Compound USD Coin',
        symbol: 'cUSDC',
        decimals: 8,
        iconMapping: '0x39AA39c021dfbaE8faC545936693aC917d5E7563',
    },
    {
        address: '0x64fbdbc6bf5b228814b58706d91ed03777f0edf6',
        name: 'Tether USD',
        symbol: 'USDT',
        decimals: 6,
        iconMapping: '0xdAC17F958D2ee523a2206206994597C13D831ec7',
    },
    {
        address: '0x3f0a0ea2f86bae6362cf9799b523ba06647da018',
        name: 'Compound USDT',
        symbol: 'cUSDT',
        decimals: 8,
        iconMapping: '0xf650C3d88D12dB855b8bf7D11Be6C55A4e07dCC9',
    },
    {
        address: '0x459C1dA86eDB02B9a3CCF2BF53aa9aad5B8D9546',
        name: 'Mock Wrapped BTC',
        symbol: 'M-WBTC',
        decimals: 18,
        iconMapping: '0x2260FAC5E5542a773Aa44fBCfeDf7C193bc2C599',
    },
    {
        address: '0xfC5F30663d710Ff5040c50A32F693073a4f0C157',
        name: 'Mock DAI',
        symbol: 'M-DAI',
        decimals: 18,
        iconMapping: '0x6b175474e89094c44da98b954eedeac495271d0f',
    },
    {
        address: '0x7afe7373126eb5ef766caad2072c4a87810fbfa3',
        name: 'Wrapped BTC',
        symbol: 'WBTC',
        decimals: 8,
        iconMapping: '0x2260FAC5E5542a773Aa44fBCfeDf7C193bc2C599',
    },
    {
        address: '0xa1faa15655b0e7b6b6470ed3d096390e6ad93abb',
        name: 'Compound Wrapped BTC',
        symbol: 'cWBTC',
        decimals: 8,
        iconMapping: '0xC11b1268C1A384e55C48c2391d8d480264A3A7F4',
    },
    {
        address: '0x2532A1B9cdA8C743b10Ab7B8939e59d64DB4aCf3',
        name: 'Uniswap',
        symbol: 'UNI',
        decimals: 18,
        iconMapping: '0x1f9840a85d5af5bf1d1762f925bdaddc4201f984',
    },
    {
        address: '0x113639d2CcC8334680b6FA9A2caCCC7D7f4f442D',
        name: 'Compound Uniswap',
        symbol: 'cUNI',
        decimals: 8,
        iconMapping: '0x35A18000230DA775CAc24873d00Ff85BccdeD550',
    },
    {
        address: '0x34d8D1F76ab4CE41D3A85EA13F638B5cC9F9920D',
        name: 'Compound',
        symbol: 'COMP',
        decimals: 18,
        iconMapping: '0xc00e94Cb662C3520282E6f5717214004A7f26888',
    },
    {
        address: '0x6284FfBC3407b54Fc49D1BdfB5a181A66FF89816',
        name: 'Compound Collateral',
        symbol: 'cCOMP',
        decimals: 8,
        iconMapping: '0x70e36f6BF80a52b3B46b3aF8e106CC0ed743E8e4',
    },
    {
        address: '0x6a9865ade2b6207daac49f8bcba9705deb0b0e6d',
        name: 'DAI',
        symbol: 'DAI',
        decimals: 18,
        iconMapping: '0x6b175474e89094c44da98b954eedeac495271d0f',
    },
    {
        address: '0xeb8f08a975ab53e34d8a0330e0d34de942c95926',
        name: 'USDC Rinkeby',
        symbol: 'USDC',
        decimals: 6,
        iconMapping: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48',
    },
    {
        address: '0x6d7f0754ffeb405d23c51ce938289d4835be3b14'.toLowerCase(),
        name: 'Compound DAI',
        symbol: 'cDAI',
        decimals: 8,
        iconMapping: '0x5d3a536e4d6dbd6114cc1ead35777bab948e3643'.toLowerCase(),
    },
    {
        address: '0x5b281a6dda0b271e91ae35de655ad301c976edb1'.toLowerCase(),
        name: 'Compound USD Coin',
        symbol: 'cUSDC',
        decimals: 8,
        iconMapping: '0x39AA39c021dfbaE8faC545936693aC917d5E7563',
    },
    {
        address: '0xd9ba894e0097f8cc2bbc9d24d308b98e36dc6d02'.toLowerCase(),
        name: 'Compound USDT',
        symbol: 'USDT-Compound',
        decimals: 18,
        iconMapping: '0xdAC17F958D2ee523a2206206994597C13D831ec7',
    },
    {
        address: '0x8Dd5178c82d519c15416B8837990eE5CD037b348'.toLowerCase(),
        name: 'Mock CToken',
        symbol: 'Mock-CT',
        decimals: 18,
        iconMapping: '0x70e36f6BF80a52b3B46b3aF8e106CC0ed743E8e4',
    },
].map((a) => {
    return Object.assign(Object.assign({}, a), { address: a.address.toLowerCase(), iconMapping: a.iconMapping.toLowerCase() });
});
//# sourceMappingURL=tokenMapping.js.map