import { CreditLineEmulator } from '../emulator/CreditLines';
import { TokenManager } from '../tokenManager';
import { Signer } from 'ethers';
import { SublimeConfig } from '../types/sublimeConfig';
import { EmulatedHelper } from './Helper';
export declare class EmulatedCreditLines extends EmulatedHelper {
    private subgraphUrl;
    constructor(subgraphUrl: string, priceSubgraphUrl: string, signer: Signer, config: SublimeConfig, tokenManager?: TokenManager);
    getAllCreditLines(count?: number, skip?: number): Promise<CreditLineEmulator[]>;
    private convertToCreditLineStatusEnum;
    private transformToCreditLineEmulator;
}
