import { YieldAndStrategyApi } from '../api/yieldAndStrategy';
import BigNumber from 'bignumber.js';
import { TokenManager } from '../tokenManager';
import { StrategyType } from '../types/Types';
export declare class EmulatedHelper {
    private tokenManager;
    private yieldApi;
    constructor(tokenManager: TokenManager, yieldApi: YieldAndStrategyApi);
    protected refreshTokenData(data: any[]): Promise<Record<string, BigNumber>>;
    protected refreshStrategyDataForPcl(data: any[]): Promise<Record<string, Record<string, BigNumber>>>;
    protected refreshStrategyData(data: any[]): Promise<Record<string, Record<string, BigNumber>>>;
    protected getTokensForShares(strategy: StrategyType, collateralAsset: string, amount: BigNumber): Promise<BigNumber>;
    protected getRandomInt(max: any): BigNumber;
}
