export declare function getCreditLineTimeline(url: string, creditLineNumber: string): Promise<any>;
export declare function getAllCreditLinesFromSubgraph(url: string, count: number, skip: number): Promise<any[]>;
export declare function getCreditLine(url: string, id: string): Promise<any[]>;
export declare function getCreditLinesLenderCanLenderTo(url: string, lender: string, count: number, skip: number): Promise<any[]>;
export declare function getConfirmedCreditLinesOfBorrower(url: string, borrower: string, count: number, skip: number): Promise<any[]>;
export declare function getConfirmedCreditLinesOfLender(url: string, lender: string, count: number, skip: number): Promise<any[]>;
export declare function getPendingCreditlinesRequestedByLender(url: string, lender: string, count: number, skip: number): Promise<any[]>;
export declare function getPendingCreditLinesRequestedToLender(url: string, lender: string, count: number, skip: number): Promise<any[]>;
export declare function getPendingCreditLinesRequestedByBorrower(url: string, borrower: string, count: number, skip: number): Promise<any[]>;
export declare function getPendingCreditLinesRequestedToBorrower(url: string, borrower: string, count: number, skip: number): Promise<any[]>;
export declare function getCreditLinesOfBorrowerWithState(url: string, address: string, status: string[]): Promise<any[]>;
export declare function getCreditLinesOfLenderWithState(url: string, address: string, status: string[]): Promise<any[]>;
export declare function getCreditLinesOfBorrowerWithStateNotIn(url: string, address: string, status: string[]): Promise<any[]>;
export declare function getCreditLinesOfLenderWithStateNotIn(url: string, address: string, status: string[]): Promise<any[]>;
export declare function getCreditLinesOfBorrowerWithState_requestByLender(url: string, address: string, requestByLender: boolean, status: string[]): Promise<any[]>;
export declare function getCreditLinesOfLenderWithState_requestByLender(url: string, address: string, requestByLender: boolean, status: string[]): Promise<any[]>;
export declare function getCreditLinesOfBorrowerWithStateNotIn_requestByLender(url: string, address: string, requestByLender: boolean, status: string[]): Promise<any[]>;
export declare function getCreditLinesOfLenderWithStateNotIn_requestByLender(url: string, address: string, requestByLender: boolean, status: string[]): Promise<any[]>;
export declare function getAllCreditLinesForCount(url: string): Promise<any[]>;
