import { Signer } from '@ethersproject/abstract-signer';
import { TokenManager } from '../tokenManager';
import { SublimeConfig } from '../types/sublimeConfig';
import { PooledCreditLinesBorrowerOverviewCall } from './PooledCreditLineBorrowerOverview';
import { PooledCreditLineLenderData } from '../types/Types';
export declare class PooledCreditLinesLenderOverview extends PooledCreditLinesBorrowerOverviewCall {
    constructor(url: string, signer: Signer, tokenManager: TokenManager, config: SublimeConfig);
    /**
     * @description TotalsharesWithdrawn is pending
     * @param lender
     * @returns
     */
    getPooledCreditLineCollectiveOfLender(lender: string): Promise<PooledCreditLineLenderData>;
    private transformToPooledCreditLineLenderData;
    private transformToPooledCreditLineLenderCollectivePerStrategy;
    private transformToPooledCreditLineLenderCollectivePerToken;
    private transformToPooledCreditLineCollective;
    private transformToPooledCreditLineLenderCollectivePerTokenPerStrategy;
    private getPclEmulators;
}
