import { LoanStatus } from './poolGenerateParam';
import { Asset } from './Types';
export interface PoolInfo {
    borrower: string;
    borrowAmountRequested: string;
    minborrowAmount: string;
    loanStartTime: string;
    loanWithdrawalDeadline: string;
    borrowAsset: Asset;
    idealCollateralRatio: string;
    borrowRate: string;
    noOfRepaymentIntervals: string;
    repaymentInterval: string;
    collateralAsset: Asset;
    poolSavingsStrategy: string;
    baseLiquidityShares: string;
    extraLiquidityShares: string;
    loanStatus: LoanStatus;
    penaltyLiquidityAmount: string;
}
