import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { CreditLineEthUtils } from '../CreditLineEthUtils';
export declare class CreditLineEthUtils__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_weth: string, _creditLines: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<CreditLineEthUtils>;
    getDeployTransaction(_weth: string, _creditLines: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): CreditLineEthUtils;
    connect(signer: Signer): CreditLineEthUtils__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): CreditLineEthUtils;
}
