import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { CreditLine } from '../CreditLine';
export declare class CreditLine__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_usdc: string, _priceOracle: string, _savingsAccount: string, _strategyRegistry: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<CreditLine>;
    getDeployTransaction(_usdc: string, _priceOracle: string, _savingsAccount: string, _strategyRegistry: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): CreditLine;
    connect(signer: Signer): CreditLine__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): CreditLine;
}
