import { Signer, BigNumberish, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { GovernanceTester } from '../GovernanceTester';
export declare class GovernanceTester__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_gov: string, _val: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<GovernanceTester>;
    getDeployTransaction(_gov: string, _val: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): GovernanceTester;
    connect(signer: Signer): GovernanceTester__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): GovernanceTester;
}
