import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { LenderPool } from '../LenderPool';
export declare class LenderPool__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_pooledCreditLine: string, _savingsAccount: string, _verification: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<LenderPool>;
    getDeployTransaction(_pooledCreditLine: string, _savingsAccount: string, _verification: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): LenderPool;
    connect(signer: Signer): LenderPool__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): LenderPool;
}
