import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { MinimumBeaconProxy } from '../MinimumBeaconProxy';
export declare class MinimumBeaconProxy__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_beacon: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<MinimumBeaconProxy>;
    getDeployTransaction(_beacon: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): MinimumBeaconProxy;
    connect(signer: Signer): MinimumBeaconProxy__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): MinimumBeaconProxy;
}
