import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { MockAdminVerifier } from '../MockAdminVerifier';
export declare class MockAdminVerifier__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<MockAdminVerifier>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): MockAdminVerifier;
    connect(signer: Signer): MockAdminVerifier__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): MockAdminVerifier;
}
