import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { MockCToken } from '../MockCToken';
export declare class MockCToken__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_underlying: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<MockCToken>;
    getDeployTransaction(_underlying: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): MockCToken;
    connect(signer: Signer): MockCToken__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): MockCToken;
}
