import { Signer, BigNumberish, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { MockToken } from '../MockToken';
export declare class MockToken__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(name: string, symbol: string, decimals_: BigNumberish, initialSupply: BigNumberish, _owner: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<MockToken>;
    getDeployTransaction(name: string, symbol: string, decimals_: BigNumberish, initialSupply: BigNumberish, _owner: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): MockToken;
    connect(signer: Signer): MockToken__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): MockToken;
}
