import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { MockTwitterVerifier } from '../MockTwitterVerifier';
export declare class MockTwitterVerifier__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<MockTwitterVerifier>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): MockTwitterVerifier;
    connect(signer: Signer): MockTwitterVerifier__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): MockTwitterVerifier;
}
