import { Signer, BigNumberish, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { MockV3Aggregator } from '../MockV3Aggregator';
export declare class MockV3Aggregator__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_decimals: BigNumberish, _initialAnswer: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<MockV3Aggregator>;
    getDeployTransaction(_decimals: BigNumberish, _initialAnswer: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): MockV3Aggregator;
    connect(signer: Signer): MockV3Aggregator__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): MockV3Aggregator;
}
