import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { Pool } from '../Pool';
export declare class Pool__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_priceOracle: string, _savingsAccount: string, _repaymentImpl: string, _poolFactory: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<Pool>;
    getDeployTransaction(_priceOracle: string, _savingsAccount: string, _repaymentImpl: string, _poolFactory: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): Pool;
    connect(signer: Signer): Pool__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): Pool;
}
