import { Signer, BigNumberish, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { PriceOracle } from '../PriceOracle';
export declare class PriceOracle__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_chainlinkHeartbeat: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<PriceOracle>;
    getDeployTransaction(_chainlinkHeartbeat: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): PriceOracle;
    connect(signer: Signer): PriceOracle__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): PriceOracle;
}
