import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { SavingsAccountEthUtils } from '../SavingsAccountEthUtils';
export declare class SavingsAccountEthUtils__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_weth: string, _savingsAccount: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<SavingsAccountEthUtils>;
    getDeployTransaction(_weth: string, _savingsAccount: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): SavingsAccountEthUtils;
    connect(signer: Signer): SavingsAccountEthUtils__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): SavingsAccountEthUtils;
}
