import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { StrategyRegistry } from '../StrategyRegistry';
export declare class StrategyRegistry__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<StrategyRegistry>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): StrategyRegistry;
    connect(signer: Signer): StrategyRegistry__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): StrategyRegistry;
}
