import { Signer, ContractFactory, Overrides } from 'ethers';
import { Provider, TransactionRequest } from '@ethersproject/providers';
import type { TwitterVerifier } from '../TwitterVerifier';
export declare class TwitterVerifier__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_verification: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<TwitterVerifier>;
    getDeployTransaction(_verification: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): TwitterVerifier;
    connect(signer: Signer): TwitterVerifier__factory;
    static connect(address: string, signerOrProvider: Signer | Provider): TwitterVerifier;
}
